<?php 
$string = '<' . '?xml version="1.0" encoding="utf-8" ?'.'>';
$string .= '<wapl xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://wapl.wapple.net/wapl.xsd">
<head>
<title>'.get_bloginfo('name').wp_title('>', false).'</title>
<css><url>'.get_bloginfo("stylesheet_url", "display").'</url></css>';

$src = '';
if(file_exists(WP_CONTENT_DIR.DIRECTORY_SEPARATOR.'uploads'.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'style.css'))
{
	$src =  WP_CONTENT_URL.'/uploads/'.get_wapl_plugin_base().'/css/style.css';
} else if(file_exists(WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'style.css'))
{
	$src =  WP_PLUGIN_URL.'/'.get_wapl_plugin_base().'/theme/style.css';
}
 $string .= '<css><url>'.$src.'</url></css>';
 
 $custom_src = '';
 if(file_exists(WP_CONTENT_DIR.DIRECTORY_SEPARATOR.'uploads'.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'custom_style.css'))
{
	$custom_src =  WP_CONTENT_URL.'/uploads/'.get_wapl_plugin_base().'/css/custom_style.css';
} else if(file_exists(WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'custom_style.css'))
{
	$custom_src =  WP_PLUGIN_URL.'/'.get_wapl_plugin_base().'/theme/custom_style.css';
}

$string .= '<css><url>'.$custom_src.'</url></css>
</head><layout>';

if(get_option('architect_use_headerimage'))
{
	$src = false;
	 if(file_exists(WP_CONTENT_DIR.DIRECTORY_SEPARATOR.'uploads'.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'images'.DIRECTORY_SEPARATOR.'header'.DIRECTORY_SEPARATOR.get_option('architect_headerimage')))
	 {
	 	$src =  WP_CONTENT_URL.'/uploads/'.get_wapl_plugin_base().'/images/header/'.get_option('architect_headerimage');
	 } else if(file_exists(WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'images'.DIRECTORY_SEPARATOR.'header'.DIRECTORY_SEPARATOR.get_option('architect_headerimage')))
	 {
	 	$src =  WP_PLUGIN_URL.'/'.get_wapl_plugin_base().'/theme/images/header/'.get_option('architect_headerimage');
	 }
	 if($src)
	 {
		// Get filetype
		$filename = get_option('architect_headerimage');
		$filetype = substr($filename, (strpos($filename, '.') + 1), strlen($filename));
		$string .= '<row class="headerImage"><cell id="header">
		<externalImage filetype="'.$filetype.'" scale="100">
		<url>'.$src.'</url>';
		if(get_option('architect_headerimage_transparency_colour') AND get_option('architect_headerimage_transparency_colour') != '')
		{
			$string .= '<transcol>'.get_option('architect_headerimage_transparency_colour').'</transcol>';
		}
		$string .= '</externalImage></cell></row>';
	 }
	$string .= '<wordsChunk id="headerH1"><display_as>h1</display_as><quick_text>'.get_bloginfo('title').'</quick_text></wordsChunk>';
} else
{
	$string .= '<wordsChunk id="header"><display_as>h1</display_as><quick_text>'.get_bloginfo('title').'</quick_text></wordsChunk>';
}

if(get_option('architect_showmenuattop'))
{
	$string .= get_wapl_element('menu');
}
return $string;
?>