<?php
/**
 * @package Wapple_Architect
 * @subpackage WAPL Theme
 */
include_once('functions.php');
$waplString = get_wapl_header();
$wapl = new WordPressWapl;

if(have_posts())
{
	while(have_posts())
	{
		the_post();
		
		$waplString .= $wapl->link(array('rowClass' => 'entry_row', 'display_as' => 'h2', 'label' => get_the_title(), 'url' => apply_filters('the_permalink', get_permalink())));
		$waplString .= $wapl->chunk('words', array('class' => 'post-date', 'quick_text' => apply_filters('the_time', get_the_time('F jS, Y'), 'F jS, Y')));
		
		if(get_option('architect_home_showexcerpt'))
		{
			$homepagescale = ARCHITECT_HOME_IMAGESCALE;
			if(get_option('architect_home_imagescale'))
			{
				$homepagescale = get_option('architect_home_imagescale');
			}
			$homepagequality = ARCHITECT_HOME_IMAGEQUALITY;
			if(get_option('architect_home_imagequality'))
			{
				$homepagequality = get_option('architect_home_imagequality');
			}

			$content = $wapl->format_text(get_the_content(), $homepagescale, $homepagequality, 'entry_row');
			$waplString .= $wapl->chunk('words', array('class' => 'entry_row', 'quick_text' => $content));
		}
	}
} else
{
	$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => 'Not Found'));
	$waplString .= $wapl->chunk('words', array('quick_text' => 'Sorry, but you are looking for something that isn\'t here.'));
}

if(get_option('architect_home_showsearch'))
{
	$waplString .= get_wapl_element('search_box');
}

$waplString .= get_wapl_footer();
process_wapl($waplString);
?>